abstract RoboWorldLexicon =
	Cat
	**
{

	-- A
	fun a_Det : Det;	
	fun angular_A : A;	
	fun aPl_Det : Det;
	fun arena_N : N;
	fun asap_Subj : Subj;
	fun at_Prep : Prep;
	fun at_least_AdN : AdN;
	fun available_A : A;
	
	-- B
	fun before_Adv : Adv;
	
	-- C
	fun can_VV : VV;
	fun call_V : V;
	fun call_V2 : V2;		
	fun communicate_V2 : V2;	
	
	-- D
	fun define_V2 : V2;	
	fun depth_N : N;
	fun diagram_N : N;
	fun direction_N : N;
	fun distance_N : N;
	fun downward_Adv : Adv;
	fun downwards_Adv : Adv;
	
	-- E
	fun event_N : N;
	fun either7or_DConj : Conj;
	
	-- F
	fun from_Prep : Prep;
	
	-- G
	fun gradient_N : N;	
	fun great_A : A;
	fun ground_N : N;
	
	-- H
	fun have_V : V;
	fun have_V2 : V2;	
	fun happen_V : V;
	fun height_N : N;
	
	-- I
	fun in_Prep : Prep;
	fun initial_A : A;	
	fun inside_Prep : Prep;
	fun it_Pron : Pron;
	
	-- L
	fun less_than_A : A;
	
	-- M
	fun magnitude_N : N;	
	fun mass_N : N;	
	fun may_1_VV : VV;  -- be possible	
	fun minus_Prep : Prep;
	
	-- N
	fun never_AdV : AdV;
	fun neither7nor_DConj : Conj;
	fun no_Quant : Quant;	
	
	-- O
	fun obstacle_N : N;
	fun occur_V : V;	
	fun of_Prep : Prep;
	fun on_Prep : Prep;	
	fun one_dimensional_A : A;	
	fun operation_N : N;
	fun orientation_N : N;
	fun output_N : N;
		
	-- P
	fun plus_Prep : Prep;
	fun point_N : N;
		
	-- R
	fun region_N : N;
	fun robot_N : N;
	
	-- S
	fun set_V2 : V2;
	fun speed_N : N;	
	
	-- T
	fun the_Det : Det;
	fun thePl_Det : Det;
	fun three_dimensional_A : A;
	fun through_Prep : Prep ;	
	fun time_N : N;
	fun times_Prep : Prep;
	fun to_Prep : Prep;
	fun towards_Prep : Prep;	
	fun two_dimensional_A : A;
	
	-- U
	fun under_Prep : Prep;
	fun unit_1_N : N;
	fun up_to_Prep : Prep;
	fun upward_Adv : Adv;
	fun upwards_Adv : Adv;	
		
	-- V
	fun value_N : N;	
	fun velocity_N : N;	

	-- X
	fun x_position_N : N;	
	fun x_width_N : N;

	-- W
	fun when_Subj : Subj;	
	fun where_Subj : Subj;
	fun width_N : N;
	fun wind_N : N;
	
	-- Y
	fun y_position_N : N;	
	fun y_width_N : N;

	-- Z
	fun z_position_N : N;	
	fun z_width_N : N;											

}
